Assign agents
PATCH
Assign one or more agents/admins to a given queue.
ApiKeyAuth settings.queue.membersheader
Authorization<token>Scope: settings.queue.members
queueId*stringFormat
uuidThe list of agents/admins to be added to the queue
application/json- body
agentIds?array<>The list of patch action outcomes
application/json- response
data?array<|>curl -X PATCH 'https://dev.dixa.io/v1/queues/{queueId}/members' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "agentIds": [ "c31e5e3f-1d5f-4442-83df-fd7bddd59da4", "26ae145b-8644-4fa5-aa56-7b3dcacbe2d4" ]}'{}
"data": []
{},
"data": "b41558f2-3807-44ef-8abf-a73d5ef68ff6",
"_type": "BulkActionSuccess"
{},
"error": {},
"id": "914a6e19-cab7-41a7-b41b-517e0ed56161",
"message": "User not found",
"_type": "NotFound"
"_type": "BulkActionFailure"
{}
"error": {},
"id": "7fecdb7e-9e37-45ef-be5e-0c14d6687aa0",
"message": "Member is neither Agent or Admin",
"_type": "Validation"
"_type": "BulkActionFailure"